#pragma once

#include "Thread.h"
#include "ReferenceCounter.h"

namespace Framework
{
    class Text;
    class Schrift;

    class MultiplChoiceDialog : public virtual ReferenceCounter
    {
    private:
        RCArray< Text > *entrys;
        Array< void* > *ids;

    public:
        DLLEXPORT MultiplChoiceDialog();
        DLLEXPORT ~MultiplChoiceDialog();
        //! Fgt eine Auswahlmglichkeit hinzu
        DLLEXPORT void addChoice( const char *text, void *id );
        //! Zeigt den dialog an und wartet auf benutzereingabe
        DLLEXPORT void *anzeigen( Schrift *zSchrift );
    };
}